Subject: Re: [PATCH/RFC?] usb/input: Add support for fn key on Apple PowerBooks

From: Michael Hanselmann <[email-masked]>
Date: Sun, 1 Jan 2006 04:03:31 +0100

On Sun, Jan 01, 2006 at 01:56:47PM +1100, Benjamin Herrenschmidt wrote:
> I've been using the other patch for some time now and while it's a
> life-saver, it does have one annoying little issue: If you press a key
> with the Fn key down and release that key with the Fn key up, your key
> is stuck.

I noticed something like that with the numlock key as well but didn't
have time to fix it yet.

Other than that, have you found any keys that aren't mapped or are
mapped incorrectly?

The new patch adds quite some code to hid-input.c, should it be
configuratible via .config?

Thanks,
Michael